View Issue Details

IDProjectCategoryView StatusLast Update
12215Bug reports[All Projects] RemoteControlpublic2018-06-15 14:27
ReporterEdhrendal Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.63.x 
Target VersionFixed in Version3.8.x 
Summary12215: Activate a survey without questions with API
Description

Hi!
I'm using a JSON-RPC Client in PHP (weberhofer/jsonrpcphp) to connect to LimeSurvey RemoteControl and I have tried to activate my surveys with the API method "activate_survey" (https://api.limesurvey.org/classes/remotecontrol_handle.html#method_activate_survey).

I can activate a survey. But a survey without question can be activated too, whereas it's impossible with LimeSurvey application. And then, this activated survey without question cannot be desactivated anymore. I can execute the survey, export it. But I can't desactivate it or add questions. So my survey is dead (but I can save it with export o/ Yeeees!)

I have to check myself before activation if the survey has question and if all groups have more than a question.
Thanks for your time!

Have a nice day :)

Steps To Reproduce
  1. Create a survey and don't add question.
  2. Use LimeSurvey Remote Control .
  3. Call the method "activate_survey" for this survey without question.
  4. Go to your LimeSurvey Application and check if the survey can be desactivated.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.63.1+170305
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-VersionMariaDB 5.5
Server OS (if known)Windows 7 Pro
Webserver software & version (if known)ampps 3.6
PHP Version5.4

Activities

guest

guest

2018-06-04 13:29

viewer   ~47959

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27302

dominikvitt

dominikvitt

2018-06-04 13:33

developer   ~47960

Error message "Error: Survey does not pass consistency check" is returned in a case of survey missing question group or question.
Activation isn't possible until survey have at least one question group and one question.

c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48137

New version released.

Related Changesets

LimeSurvey: master c6025588

2018-06-04 13:29:24

Dominik Vitt

Details Diff
Fixed issue 12215: Activate a survey without questions with API Affected Issues
12215
mod - application/helpers/admin/activate_helper.php Diff File
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File

Issue History

Date Modified Username Field Change
2017-03-21 11:59 Edhrendal New Issue
2018-05-23 12:19 LouisGac Assigned To => dominikvitt
2018-05-23 12:19 LouisGac Status new => assigned
2018-06-04 13:29 Changeset attached => LimeSurvey master c6025588
2018-06-04 13:29 guest Note Added: 47959
2018-06-04 13:29 guest Resolution open => fixed
2018-06-04 13:33 dominikvitt Status assigned => resolved
2018-06-04 13:33 dominikvitt Fixed in Version => 3.8.x
2018-06-04 13:33 dominikvitt Note Added: 47960
2018-06-15 14:27 c_schmitz Note Added: 48137
2018-06-15 14:27 c_schmitz Status resolved => closed